about summary refs log tree commit homepage
path: root/ci/run.sh
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2019-05-07 09:09:54 +0000
committerEric Wong <e@80x24.org>2019-05-09 03:06:36 +0000
commit364398b5cec0de55de30ab26ea9b71fe4160f37d (patch)
treec4e1f35442e08da36de298fabe299126bda37ed9 /ci/run.sh
parent441a1bc6292c9286adc591ef71e307c5d9f8e274 (diff)
downloadpublic-inbox-ci-WIP.tar.gz
This should make it easier to test a bunch of package
installation profiles across whatever OS isolation
one chooses (chroots, containers, jails, VMs)
Diffstat (limited to 'ci/run.sh')
-rwxr-xr-xci/run.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/ci/run.sh b/ci/run.sh
new file mode 100755
index 00000000..87d95618
--- /dev/null
+++ b/ci/run.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Copyright (C) 2019 all contributors <meta@public-inbox.org>
+# License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>
+set -e
+SUDO=${SUDO-'sudo'} PERL=${PERL-'perl'} MAKE=${MAKE-'make'}
+DO=${DO-''}
+
+set -x
+if test -f Makefile
+then
+        $DO $MAKE clean
+fi
+
+./ci/profiles.sh | while read args
+do
+        $DO $SUDO $PERL -w ci/deps.perl $args
+        $DO $PERL Makefile.PL
+        $DO $MAKE
+        $DO $MAKE check
+        $DO $MAKE clean
+done